[arch-commits] Commit in expat/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Tue Oct 21 08:43:43 EDT 2008


    Date: Tuesday, October 21, 2008 @ 08:43:42
  Author: jgc
Revision: 16357

upgpkg: expat 2.0.1-2
    Rebuild for core. Fix manpath, add checks to PKGBUILD

Modified:
  expat/trunk/PKGBUILD

----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-21 12:27:06 UTC (rev 16356)
+++ PKGBUILD	2008-10-21 12:43:42 UTC (rev 16357)
@@ -4,7 +4,7 @@
 
 pkgname=expat
 pkgver=2.0.1
-pkgrel=1
+pkgrel=2
 pkgdesc="An XML Parser library written in C"
 arch=(i686 x86_64)
 license=('custom')
@@ -15,9 +15,10 @@
 md5sums=('ee8b492592568805593f81f8cdf2a04c')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-  install -m644 -D COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }




More information about the arch-commits mailing list